import { Role } from "src/app/model/entities/role";
import { DbModel } from "src/app/model/entities/db-model";

export interface NotExistingUser {
  keycloakId: string;
  username: string;
}

export interface User extends DbModel {
  id: number;
  username: string;
  email: string;
  roles: Role[];
}

export interface UserCreateInput {
  keycloakId: string;
  roles: Role[];
}

export interface UserUpdateInput {
  id: number;
  roles: Role[];
}
