export enum PermissionsEnum {
  // Administration
  administrator = 'administrator',

  apiKeys = 'api_keys',
  apiKeysCreate = 'api_keys.create',
  apiKeysUpdate = 'api_keys.update',
  apiKeysDelete = 'api_keys.delete',

  // Users
  users = 'users',
  usersCreate = 'users.create',
  usersUpdate = 'users.update',
  usersDelete = 'users.delete',

  // Permissions
  roles = 'roles',
  rolesCreate = 'roles.create',
  rolesUpdate = 'roles.update',
  rolesDelete = 'roles.delete',

  // Public
  domains = 'domains',
  domainsCreate = 'domains.create',
  domainsUpdate = 'domains.update',
  domainsDelete = 'domains.delete',

  groups = 'groups',
  groupsCreate = 'groups.create',
  groupsUpdate = 'groups.update',
  groupsDelete = 'groups.delete',

  shortUrls = 'short_urls',
  shortUrlsByAssignment = 'short_urls.by_assignment',
  shortUrlsCreate = 'short_urls.create',
  shortUrlsUpdate = 'short_urls.update',
  shortUrlsDelete = 'short_urls.delete',
}
