import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'src/app/modules/shared/shared.module';
import { RouterModule, Routes } from '@angular/router';
import { SettingsPage } from 'src/app/modules/admin/administration/settings/settings.page';
import { SettingsDataService } from 'src/app/modules/admin/administration/settings/settings.data.service';

const routes: Routes = [
  {
    path: '',
    title: 'Admin - settings | Maxlan',
    component: SettingsPage,
  },
];

@NgModule({
  declarations: [SettingsPage],
  imports: [CommonModule, SharedModule, RouterModule.forChild(routes)],
  providers: [SettingsDataService.provide()],
})
export class SettingsModule {}
